
public class MainClass {

	public static void main(String[] args) {
		int[] a = {3,-5,7};
		int[] b = {4, -5, 7, 9};
		//System.out.println (contoPosDifferenti(a,b));
		stampaArray(elencoPosDifferenti(a,b));
		stampaArray(elencoPosUguali(a,b));
	}
	
	static boolean uguali (int[][] a, int[][]b){
		if (a==null && b== null) return true;
		if (a==null || b== null) return false;
		if (a.length != b.length) return false;
		for (int i=0; i<a.length; i++){
			if (a[i]==null && b[i]!=null ||
				a[i]!=null && b[i]==null) return false;
			if (a[i]!=null && b[i]!=null){
				if (a[i].length!=b[i].length) return false;
				for (int j=0; j<a[i].length; j++){
					if (a[i][j]!=b[i][j]) return false;
				}
			}	
		}
		return true;
	}
	
	static void stampaArray (int[] a){
		if (a==null) {
			return;
		}
		System.out.print("{");
		for (int i=0; i<a.length; i++){
			System.out.print (a[i]);
			if (i<a.length-1){
				System.out.print (", ");
			}
		}
		System.out.print("}");
	}

	
	static double max_da_k (double[] a, int k){
		double max=a[k];
		for (int i=k+1; i<a.length; i++){
			if (a[i]>max) {
				max=a[i];
			}
		}
		return max;
	}
	
	static double min_da_k (double[] a, int k){
		double min=a[k];
		for (int i=k+1; i<a.length; i++){
			if (a[i]<min) {
				min=a[i];
			}
		}
		return min;
	}
	
	static int contoPosDifferenti (int[]a, int[]b){
		if (a==null && b== null) return 0;
		if (a==null) return b.length;
		if (b==null) return a.length;
		int lMin, lMax;
		if (a.length>b.length){
			lMax=a.length;
			lMin=b.length;
		} else {
			lMax=b.length;
			lMin=a.length;
		}
		int conto=0;
		for (int i=0; i<lMin; i++){
			if (a[i]!=b[i]) {
				conto++;
			}
		}
		return conto + lMax-lMin;
	}
	
	static int[] elencoPosDifferenti (int[]a, int[]b){
		int[] ris= new int[contoPosDifferenti(a,b)];
		int posLibera=0;
		int lMin, lMax;
		if (a.length>b.length){
			lMax=a.length;
			lMin=b.length;
		} else {
			lMax=b.length;
			lMin=a.length;
		}
		for (int i=0; i<lMin; i++){
			if (a[i]!=b[i]) {
				ris[posLibera]=i;
				posLibera++;
			}
		}
		for (int i=lMin; i<lMax; i++){
			ris[posLibera]=i;
			posLibera++;			
		}
		return ris;
	}
		

	static int contoPosUguali (int[]a, int[]b){
		if (a==null || b==null) return 0;
		int lMin;
		if (a.length>b.length){
			lMin=b.length;
		} else {
			lMin=a.length;
		}
		int conto=0;
		for (int i=0; i<lMin; i++){
			if (a[i]==b[i]) {
				conto++;
			}
		}
		return conto;
	}
	
	static int[] elencoPosUguali (int[]a, int[]b){
		int[] ris= new int[contoPosUguali(a,b)];
		int posLibera=0;
		int lMin;
		if (a.length>b.length){
			lMin=b.length;
		} else {
			lMin=a.length;
		}
		for (int i=0; i<lMin; i++){
			if (a[i]==b[i]) {
				ris[posLibera]=i;
				posLibera++;
			}
		}
		return ris;
	}
}
